Bug 503171 - xrandr does not display all possible resolution combinations
xrandr does not display all possible resolution combinations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 08:16 EDT by Shannon McMackin
Modified: 2010-02-26 22:42 EST (History)
6 users (show)

See Also:
Fixed In Version: xorg-x11-drv-intel-2.7.0-9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 22:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log with nomodeset vga=792, using xorg.conf (114.54 KB, text/plain)
2009-06-02 15:27 EDT, Shannon McMackin
no flags Details
xorg.conf to create the previously attached Xorg.0.log (2.24 KB, text/plain)
2009-06-02 15:28 EDT, Shannon McMackin
no flags Details
Xorg.0.log with no xorg.conf (80.59 KB, text/plain)
2009-06-02 15:43 EDT, Shannon McMackin
no flags Details
Xorg.0.log with no kernel append and no xorg.conf (41.71 KB, text/plain)
2009-06-02 15:49 EDT, Shannon McMackin
no flags Details
xorg.log 2.6.29.4-167.fc11.i686.PAE kernel (465.85 KB, text/plain)
2009-06-18 04:49 EDT, Chris Fleming
no flags Details
Xorg log with Xorg 1.6.4-0.3.fc11.x86_64 from updates-testing (31.96 KB, text/plain)
2009-11-06 02:58 EST, Kieran Clancy
no flags Details

  None (edit)
Description Shannon McMackin 2009-05-29 08:16:12 EDT
Description of problem: Xrandr not showing multiple available resolutions, thus no mirroring of LCD or dual-head configurations are possible.


Version-Release number of selected component (if applicable):


How reproducible: Everytime


Steps to Reproduce:
1. Log in
2. Launch a terminal
3. Run xrandr -q and see results
  
Actual results: This is on a Lenovo T61 with Intel GM965 video.  In previous releases and other distros, Xrandr -q shows the variety of available resolutions for a display.  Currently it only shows 1 resolution as follows:

[SMcMackin@localhost Desktop]$ xrandr -q
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 304mm x 190mm
   1440x900       60.1*+   50.0  
DVI1 disconnected (normal left inverted right x axis y axis)



Expected results: I would expect a list of possible resolutions for the potential display combinations.


Additional info: I can add additional resolution values, but they are not retained after a reboot.
Comment 1 Shannon McMackin 2009-05-29 08:36:35 EDT
This is what i would expect to see from xrandr -q on this hardware:

smcmackin@Mariner-T61:~/Desktop$ xrandr -q
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 3744 x 1536
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1440x900+0+0 (normal left inverted right x axis y axis) 304mm x 190mm
   1440x900       60.1*+   59.9     50.0  
   1360x768       59.8  
   1152x864      100.0     85.1     85.0     75.0     75.0     70.0     60.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TMDS-1 disconnected (normal left inverted right x axis y axis)
Comment 2 Shannon McMackin 2009-05-31 00:30:02 EDT
I found that i was able to add nomodeset vga=792 to /etc/grub.conf as a kernel append and plymouth worked and I was able to see available resolutions for the LCD.

If this is working as designed, please close this bug...
Comment 3 Adam Williamson 2009-06-02 13:26:16 EDT
There's clearly a bug in that kernel modesetting is not exposing all the available modes for your display, but I continue to be confused by your assertion that this makes cloning impossible. Why would it? There's no reason you can't clone just because your primary display only has one resolution available. If you plug in a secondary display and try cloning or spanning, it ought to work perfectly well.

Please post /var/log/Xorg.0.log , just for complete info. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Shannon McMackin 2009-06-02 13:31:02 EDT
There's a current limitation with Intel drivers that creates a virtual resolution of 2048x2048.  With a primary display having only 1440x900, there's no room in the virtual size to hold both displays.  The end result is that you can have one internal display of 1440x900 or 1 external display of 1440x900.  Not both.  When mirroring, I have to set both devices to 1024x768.
Comment 5 Adam Williamson 2009-06-02 14:18:07 EDT
Not with modesetting. Note in your modesetting case:

Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192

"maximum 8192 x 8192".

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Adam Williamson 2009-06-02 14:19:18 EDT
the needinfo was for your Xorg.0.log , we still need that.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Shannon McMackin 2009-06-02 15:27:42 EDT
Created attachment 346303 [details]
Xorg log with nomodeset vga=792, using xorg.conf
Comment 8 Shannon McMackin 2009-06-02 15:28:46 EDT
Created attachment 346304 [details]
xorg.conf to create the previously attached Xorg.0.log
Comment 9 Adam Williamson 2009-06-02 15:37:56 EDT
sorry, we also need the one from the failure case - i.e. no xorg.conf , no changed kernel parameters. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Shannon McMackin 2009-06-02 15:43:28 EDT
Created attachment 346306 [details]
Xorg.0.log with no xorg.conf

This was a boot cycle with no xorg.conf, but using the kernel append nomodeset vga=792.  Next post will be without kernel appends.
Comment 11 Shannon McMackin 2009-06-02 15:49:08 EDT
Created attachment 346307 [details]
Xorg.0.log with no kernel append and no xorg.conf

Here is the output of xrandr -q:

[SMcMackin@localhost Desktop]$ xrandr -q
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 304mm x 190mm
   1440x900       60.1*+   50.0  
DVI1 disconnected (normal left inverted right x axis y axis)
Comment 12 Shannon McMackin 2009-06-02 15:51:58 EDT
What happens with this situation is that when I use the display settings applet to make any changes or mirror the output, I'm not allowed to choose any other resolutions besides the default.  It may indicate a max of 8192x8192, but the applet won't allow it.  When I get another chance, I'll keep playing with xrandr commands to try to make it happen since I know the applet is not always accurate.

The applet would only allow display on one screen or the other.
Comment 13 Adam Williamson 2009-06-02 16:07:31 EDT
Yep, please do let us know your results with xrandr. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Shannon McMackin 2009-06-03 00:54:11 EDT
I tried playing with xrandr.  Here's what I found:

1. With the default settings, I can span between the local LCD and a VGA monitor without a problem.

2. I can't mirror my output from LCD to VGA because the modes don't match.  xrandr only provides 1440x900 for the LCD and the VGA doesn't go higher than 1024x768.  This would also be true of most projectors.

3. If I add a new mode for xrandr with the following commands:

xrandr --newmode "1024x768_60.00"  64.11  1024 1080 1184 1344  768 769 772 795  -HSync +Vsync

xrandr --addmode LVDS1 "1024x768_60.00"

xrandr --size "1024x768_60.00"

I can then use the display settings applet to mirror the screens at 1024x768.  However, once I reboot, xrandr reverts back to the defaults and doesn't have a 1024x768 option available.

The only thing this laptop is used for outside of normal work is giving presentations.  I've never had a projector that can use better than 1024x768.  If my only recourse is to use nomodeset and vga=792, then so be it, but I should be able to select multiple modes for the LCD just as I could with F10.
Comment 15 Adam Williamson 2009-06-03 16:36:59 EDT
right, that would be about what I would expect. thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Bug Zapper 2009-06-09 12:46:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Shannon McMackin 2009-06-16 14:01:55 EDT
For some reason, it seems that a fresh install and the addition of Matthias Hensler's tuxonice kernel has corrected this issue.  xrandr shows the following:

Screen 0: minimum 320 x 200, current 1440 x 900, maximum 1440 x 1440
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1440x900+0+0 (normal left inverted right x axis y axis) 304mm x 190mm
   1440x900       60.1*+   50.0  
   1152x864       75.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TMDS-1 disconnected (normal left inverted right x axis y axis)

[SMcMackin@Mariner-T61 Desktop]$ uname -r
2.6.29.4-167_2.cubbi_tuxonice.fc11.i686.PAE
Comment 18 Adam Williamson 2009-06-16 21:13:12 EDT
I suspect the tuxonice kernel is lacking the KMS stuff, possibly? So it's always not using modesetting. But IMBW.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Shannon McMackin 2009-06-16 21:47:43 EDT
You are correct.  I rebooted into the F11 std PAE kernel and now behavior is back as it was.
Comment 20 Chris Fleming 2009-06-18 04:49:55 EDT
Created attachment 348392 [details]
 xorg.log 2.6.29.4-167.fc11.i686.PAE kernel
Comment 21 Chris Fleming 2009-06-18 05:04:03 EDT
I've been seeing exactly the same problem, my Xorg.log file is attached. 

Basically I have a laptop with an external moditor, when I boot up the monitor appears as VGA1 and the maximum resolution is shown as 1280x1024

However if I boot up with the nomodeset option set xrandr shows the monitor correctly as an HP and allows all possible resultions. However in this mode the combined screen resolution is restricted to 1600x1600 for some reason. So I can use dual screens.

My current kernel is
uname -a
Linux chrisfl-laptop 2.6.29.4-167.fc11.i686.PAE #1 SMP Wed May 27 17:28:22 EDT 2009 i686 i686 i386 GNU/Linux

xrandr shows:
Screen 0: minimum 320 x 200, current 3040 x 1200, maximum 8192 x 8192
VGA1 connected 1600x1200+1440+0 (normal left inverted right x axis y axis) 364mm x 291mm
   1280x1024      75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
   1600x1200x0.0   85.0* 
LVDS1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 303mm x 190mm
   1440x900       60.0*+
DVI1 disconnected (normal left inverted right x axis y axis)
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  


If I run:
xrandr --newmode "1600x1200"x0.0  229.50  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync

xrandr --addmode VGA1 1600x1200x0.0

then I can set the monitor to this resolution. I currently have no xorg.conf

One thing I notice is that in Xorg.log all the resolutions are listed after:

(II) intel(0): Printing DDC gathered Modelines:
.
.(II) intel(0): Modeline "1600x1200"x0.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
(II) intel(0): Modeline "1600x1200"x0.0  202.50  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (93.8 kHz)
(II) intel(0): Modeline "1600x1200"x0.0  229.50  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (106.2 kHz)


But it then goes on:


(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)

It seems to me that I can only select the resolutions that are probed and not the once that are reported by DCC.

(despite this defect this is the first time I have my work laptop running in dual screen mode with the ability to enable Compiz if required! - so I'm basically very happy.)
Comment 22 Shannon McMackin 2009-06-20 10:00:52 EDT
Another symptom of this bug is that if I don't use the nomodeset kernel append, I can't access any tty screens.  If I press ctrl-alt-F2, the mouse cursor disappears but the desktop screen remains.  When I press ctrl-alt-F1, the cursor comes back.

Using the nomodeset append, I can access all ttys as expected.
Comment 24 Matěj Cepl 2009-11-05 13:30:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 25 Chris Fleming 2009-11-05 14:18:44 EST
Cheers for the update, I'm running on the latest rawhide, and can confirm that this issue is fixed for me. xrandr now correctly detects the correct available resolutions across both my screens.
Comment 26 Kieran Clancy 2009-11-06 02:56:21 EST
I am still seeing this with latest packages from updates-testing on F11.

xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64
xorg-x11-drv-intel-2.7.0-8.fc11.x86_64

This problem only occurs when using KMS, but manually adding the resolutions with xrandr as in comment #14 works.
Comment 27 Kieran Clancy 2009-11-06 02:58:38 EST
Created attachment 367792 [details]
Xorg log with Xorg 1.6.4-0.3.fc11.x86_64 from updates-testing
Comment 28 Fedora Update System 2009-11-20 15:36:48 EST
xorg-x11-drv-intel-2.7.0-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.7.0-9.fc11
Comment 29 Fedora Update System 2009-11-24 02:44:32 EST
xorg-x11-drv-intel-2.7.0-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-intel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11942
Comment 30 Fedora Update System 2010-02-26 22:42:13 EST
xorg-x11-drv-intel-2.7.0-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.